import { createVNode as _createVNode } from "vue";
export default ((_, {
  attrs
}) => {
  const {
    prefixCls,
    marks = []
  } = attrs;
  const dotsNode = Object.keys(marks).map(num => {
    const dotProps = {
      class: `${prefixCls}_dot`,
      style: {
        left: `${num}%`
      },
      key: num
    };
    return _createVNode("span", dotProps, null);
  });
  return _createVNode("div", {
    "class": `${prefixCls}_steps`
  }, [dotsNode]);
});